<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right" >
</div>
<nz-card class="search-bar">
  <div nz-row [nzGutter]="[16, 16]">
    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
        [(ngModel)]="params.publishCode"
        name="employeeCode"
        [mbMaxLength]="20"
        mbLabelText="{{ 'development.promulgate.search.issueCode' | translate }}"
        mbPlaceholderText="{{ 'development.promulgate.search.issueCode' | translate }}"
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
        [(ngModel)]="params.publishContent"
        name="issueContent"
        [mbMaxLength]="50"
        mbLabelText="{{ 'development.promulgate.search.issueContent' | translate }}"
        mbPlaceholderText="{{ 'development.promulgate.search.issueContent' | translate }}"
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [mbDataSelects]="dataCommon.formDisplaySearchDTOS"
        mbKeyLabel="formName"
        mbKeyValue="code"
        [(ngModel)]="params.formCode"
        mbType="default"
        mbLabelText="{{ 'development.promulgate.search.form' | translate }} "
        mbPlaceholder="{{ 'development.promulgate.search.form' | translate }} "
      ></mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [mbDataSelects]="dataCommon.flowStatusPublishConfigList"
        mbKeyLabel="role"
        mbKeyValue="key"
        [(ngModel)]="params.statusPublish"
        mbLabelText="{{ 'development.promulgate.search.statusPublish' | translate }} "
        mbPlaceholder="{{ 'development.promulgate.search.statusPublish' | translate }} "
      ></mb-select>
    </div>
  </div>
  <div *ngIf="isExpand">
    <div nz-row [nzGutter]="[16, 8]">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.issueLevelList"
          mbKeyLabel="name"
          mbKeyValue="code"
          [(ngModel)]="params.issueLevel"
          mbLabelText="{{ 'development.promulgate.search.approvalLevel' | translate }} "
          mbPlaceholder="{{ 'development.promulgate.search.approvalLevel' | translate }} "
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.signerFullName"
          name="employeeCode"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.promulgate.search.signerCode' | translate }}"
          mbPlaceholderText="{{ 'development.promulgate.search.signerCode' | translate }}"
        >
        </mb-input-text>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.employeeCode"
          name="employeeCode"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.promulgate.search.empCode' | translate }}"
          mbPlaceholderText="{{ 'development.promulgate.search.empCode' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.employeeName"
          name="employeeCode"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.promulgate.search.empName' | translate }}"
          mbPlaceholderText="{{ 'development.promulgate.search.empName' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.currentUnit"
          mbLabelText="{{ 'development.promulgate.search.currentUnit' | translate }} "
          mbPlaceholder="{{ 'development.promulgate.search.currentUnit' | translate }} "
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          [(ngModel)]="params.currentTitle"
          mbLabelText="{{ 'development.promulgate.search.currentTitle' | translate }} "
          mbPlaceholder="{{ 'development.promulgate.search.currentTitle' | translate }} "
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.proposeUnit"
          mbLabelText="{{ 'development.promulgate.search.proposeUnit' | translate }} "
          mbPlaceholder="{{ 'development.promulgate.search.proposeUnit' | translate }} "
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          [(ngModel)]="params.proposeTitle"
          mbLabelText="{{ 'development.promulgate.search.proposeTitle' | translate }} "
          mbPlaceholder="{{ 'development.promulgate.search.proposeTitle' | translate }} "
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <span class="rangeDateTitle">{{ 'development.promulgate.search.timeIssued' | translate }}</span>
        <nz-range-picker
          class="rangeDate"
          [(ngModel)]="params.timeApprove"
          nzFormat="dd/MM/yyyy"
          [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
        ></nz-range-picker>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <span class="rangeDateTitle">{{ 'development.promulgate.search.effectiveDate' | translate }}</span>
        <nz-range-picker
          class="rangeDate"
          [(ngModel)]="params.effectiveDate"
          nzFormat="dd/MM/yyyy"
          [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
        ></nz-range-picker>
      </div>

    </div>
  </div>
  <div class="block-action-search">
    <mb-button
      mbButtonAvailableStyle="DEFAULT"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.formLD.button.search' | translate }}"
      (click)="search(1)"
    >
    </mb-button>
    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="VERY_LARGE"
      (click)="collapseExpand()"
    >
      <span>
        <em nz-icon nzType="{{ iconStatus }}"></em>
      </span>
    </mb-button>
    <mb-button
      mbButtonAvailableStyle="BORDER"
      [disabled]="isLoading"
      mbButtonSize="LARGE"
      (click)="exportExcel()"
    >
      <img class="excelIcon" src="assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''">
  <mb-table (changePageNum)='search($event)' [tableConfig]="tableConfig" [tableData]="dataTable"
            [heightTable]="heightTable"
            (onDblClickNode)="detail($event)"></mb-table>
</mb-table-wrap>

<ng-template #tag let-statusPublishDisplay = 'statusPublishDisplay'>
  <nz-tag [nzColor]="displayStatusApprove(statusPublishDisplay)"
          *ngIf="statusPublishDisplay">
          {{statusPublishDisplay}}
  </nz-tag>
</ng-template>
<ng-template
  #effectiveDateTmpl
  let-issueEffectiveStartDate="issueEffectiveStartDate"
>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="issueEffectiveStartDate"></em>
  <span class="effectiveDate">{{ issueEffectiveStartDate | date: 'dd/MM/yyyy' }}</span>
</ng-template>

<ng-template
  #releaseDate
  let-releaseDate="releaseDate"
>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="releaseDate"></em>
  <span class="effectiveDate">{{ releaseDate | date: 'dd/MM/yyyy' }}</span>
</ng-template>
